
jQuery(document).ready(function() {

	/* ---------------------------------------------------------------------- */
	/*	BACKGROUND SLIDESHOW
	/* ---------------------------------------------------------------------- */
    $('.coming-soon').backstretch([
      "img/backgrounds/1.jpg"
    , "img/backgrounds/2.jpg"
    , "img/backgrounds/3.jpg"
    ], {duration: 3000, fade: 750});

    /* ---------------------------------------------------------------------- */
	/*	COUNTDOWN INITIALIZER
	/* ---------------------------------------------------------------------- */
    
    $(".ccounter").ccountdown(2013,11,24);

    /* ---------------------------------------------------------------------- */
	/*	TOOLTIPS
	/* ---------------------------------------------------------------------- */

    $('.social a.facebook').tooltip();
    $('.social a.twitter').tooltip();
    $('.social a.pinterest').tooltip();
    $('.social a.skype').tooltip();
    $('.social a.flickr').tooltip();
    $('.social a.googleplus').tooltip();
    $('.social a.hi5').tooltip();
    $('.social a.linkedin').tooltip();

    
    /* ---------------------------------------------------------------------- */
	/*	SUSCRIPTION FORM
	/* ---------------------------------------------------------------------- */

    $('.success-message').hide();
    $('.error-message').hide();

    $('.subscribe form').submit(function() {
        var postdata = $('.subscribe form').serialize();
        $.ajax({
            type: 'POST',
            url: 'php/sendmail.php',
            data: postdata,
            dataType: 'json',
            success: function(json) {
                if(json.valid == 0) {
                    $('.success-message').hide();
                    $('.error-message').hide();
                    $('.error-message').html(json.message);
                    $('.error-message').fadeIn();
                }
                else {
                    $('.error-message').hide();
                    $('.success-message').hide();
                    $('.subscribe form').hide();
                    $('.success-message').html(json.message);
                    $('.success-message').fadeIn();
                }
            }
        });
        return false;
    });
    
    /* ---------------------------------------------------------------------- */
	/*	CONTACT FORM
	/* ---------------------------------------------------------------------- */
	
	// Needed variables
	var $contactform 	= $('#contactform'),
		$success		= 'Your message has been sent. Thank you!';
		
	$contactform.submit(function(){
		$.ajax({
		   type: "POST",
		   url: "php/contact.php",
		   data: $(this).serialize(),
		   success: function(msg)
		   {
				if(msg == 'SEND'){
					response = '<div class="success">'+ $success +'</div>';
				}
				else{
					response = '<div class="error">'+ msg +'</div>';
				}
				// Hide any previous response text
				$(".error,.success").remove();
				// Show response message
				$contactform.prepend(response);
			}
		 });
		return false;
	});

});

